using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Launcheroid
{
    static class Program
    {
        private const string DEFAULTFILENAME = "Links.lrd";
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new Form1());
        }

        public static string ArgumentFile
        {
            get
            {
                string[] args = Environment.GetCommandLineArgs();
                if (args.Length > 1)
                    return args[1];
                return null;
            }
        }

        public static string DefaultFile
        {
            get
            {
                string path = System.Reflection.Assembly.GetExecutingAssembly().Location;
                return Path.Combine(Path.GetDirectoryName(path), DEFAULTFILENAME);
            }
        }
    }
}
